Name:           solarspeed-Imagick-compat
Version:        6.7.8.9
Release:        18
Packager:       Michael Stauber <mstauber@solarspeed.net>
URL:            https://www.blueonyx.it
License:        GPL
Group:          System
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      x86_64
Distribution:   BlueOnyx 5209R or Aventurin{e} 6109R
Source:         %{name}-%{version}-%{release}.tar.gz
Summary:        Libraries that restore compatability of legacy PHP with Imagick-6.7.8.9-18
Requires:	ImageMagick >= 6.9.10.68

%description
Libraries that restore compatability of legacy PHP with Imagick-6.7.8.9-18

%prep
%setup -q -n %{name}-%{version}-%{release}

%build
echo "Working on $RPM_BUILD_ROOT"

%install
%{__rm} -rf %{buildroot}
# set up path structure
mkdir %{buildroot}/
mv * %{buildroot}/

%pre

%post

rm -f /lib64/libMagickWand.so.5
rm -f /lib64/libMagickCore.so.5
ln -s /lib64/libMagickWand.so.5.0.0 /lib64/libMagickWand.so.5
ln -s /lib64/libMagickCore.so.5.0.0 /lib64/libMagickCore.so.5

%preun
rm -f /lib64/libMagickWand.so.5
rm -f /lib64/libMagickCore.so.5

%postun

%clean
rm -R -f $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%attr(0755,root,root) /lib64/libMagickWand.so.5.0.0
%attr(0755,root,root) /lib64/libMagickCore.so.5.0.0

%changelog

* Tue Apr 28 2020 Michael Stauber <mstauber@solarspeed.net>
- [6.7.8.9-18:] Initial build

